**********************************************************
* Introduzione all'analisi dei dati longitudinali
* CAP 5:	ANALISI DELLE SEQUENZE 
***********************************************************
* questa sintassi: 
* seq_aggregate.do
* descrizione aggregata delle sequenze  
* - figura  1
* VERSIONE: AGOSTO 2013
***********************************************************

* assicurarsi che il commando "catplot" sia installata
* --> ssc install catplot
*version 12.1 

global sa F:\longi

use $sa\data\carriereIT_lungo.dta, clear 

* assicurarsi che i dati siano ordinati
sort id time

* STANDARDIZZAZIONE delle sequenze a 5 anni di osservazione 
bys id: egen maxnr=max(time)
* selezionare 
keep if time<=60 
keep if maxnr>=60

*************
* figura 1
*************

*set scheme s2color
*set scheme s1mono

*modifica labels
lab def emps 11"Autonomo" 12"Dipendente indet." 13"Dip. temp det/form lav" 21"Disoccupazione" ///
	22"Ricerca 1 lavoro" 31"Non forze lavoro" 32"Studente" 33"Leva"
lab val empstat emps
*Versione 1
*	uomini
catplot empstat if genere==1, over(time, label(labsize(*.7) angle(90)) gap(*.2)) percent(time) stack  asyvars ///
	legend(region(lstyle(none) lcolor(gs14) fcolor(gs14)) row(2) stack keygap(*0.2) bmargin(tiny) size(*0.85) symysize(*0.5) symxsize(*1)) ///
	title("Condizione Occupazionale", size(*.8) margin(zero)) b1title("") ///
    subtitle("UOMINI", size(*.8) margin(tiny)) ///
	caption("{it:sampel: primi 5 anni dopo l'uscita dal sistema scolastico}", size(*.7) margin(b=0)) ///
	ylabel(0(10)100, angle(0) axis(1)) ytitle("%", size(*.8) margin(zero)) ///
	ymtick(0(5)100) recast(bar) ///
	plotregion(margin(tiny)) graphregion(color(gs14)) name(SA_aggr_men, replace)
*	donne	
catplot empstat if genere==2, over(time, label(labsize(*.7) angle(90)) gap(*.2)) percent(time) stack  asyvars ///
	legend(region(lstyle(none) lcolor(gs14) fcolor(gs14)) row(2) stack keygap(*0.2) bmargin(tiny) size(*0.85) symysize(*0.5) symxsize(*1)) ///
	title("Condizione Occupazionale", size(*.8) margin(zero)) b1title("") ///
    subtitle("DONNE", size(*.8) margin(tiny)) ///
	caption("{it:sampel: primi 5 anni dopo l'uscita dal sistema scolastico}", size(*.7) margin(b=0)) ///
	ylabel(0(10)100, angle(0) axis(1)) ytitle("%", size(*.8) margin(zero)) ///
	ymtick(0(5)100) recast(bar) ///
	plotregion(margin(tiny)) graphregion(color(gs14)) name(SA_aggr_women, replace)

	
/*
*Versione 2: se siete piu' commodi con Excel fatelo "a mano" 
tab empstat, gen (s) 
collapse (sum) s1 s2 s3 s4 s5 s6 s7 s8, by(nr genere)
sort genere nr
* Dopo il collapse i dati possono essere copiati e incollati per esempio in Excel 
*/
